
From: Adrian Bunk <bunk@fs.tum.de>

The patch below removes some #ifdef'd kernel 2.2 code from
drivers/net/hamradio/dmascc.c.


---

 25-akpm/drivers/net/hamradio/dmascc.c |   18 ------------------
 1 files changed, 18 deletions(-)

diff -puN drivers/net/hamradio/dmascc.c~remove-kernel-22-code-from-drivers-net-hamradio-dmasccc-fwd drivers/net/hamradio/dmascc.c
--- 25/drivers/net/hamradio/dmascc.c~remove-kernel-22-code-from-drivers-net-hamradio-dmasccc-fwd	2004-05-08 22:09:12.348721680 -0700
+++ 25-akpm/drivers/net/hamradio/dmascc.c	2004-05-08 22:09:12.352721072 -0700
@@ -48,21 +48,6 @@
 #include "z8530.h"
 
 
-/* Linux 2.2 and 2.3 compatibility */
-
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,3,14)
-#define net_device device
-#endif
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,3,43)
-#define netif_start_queue(dev) { dev->tbusy = 0; }
-#define netif_stop_queue(dev) { dev->tbusy = 1; }
-#define netif_wake_queue(dev) { dev->tbusy = 0; mark_bh(NET_BH); }
-#endif
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,3,47)
-#define netif_running(dev) (dev->flags & IFF_UP)
-#endif
-
-
 /* Number of buffers per channel */
 
 #define NUM_TX_BUF      2          /* NUM_TX_BUF >= 1 (min. 2 recommended) */
@@ -210,9 +195,6 @@ struct scc_hardware {
 };
 
 struct scc_priv {
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,4,0)
-  char name[IFNAMSIZ];
-#endif
   int type;
   int chip;
   struct net_device *dev;

_
